Name: H5Pget_nprops
Signature:
  int `H5Pget_nprops`( hid_t `id`, size_t *`nprops` )
Purpose:
  Queries number of properties in property list or class.
Description:
  `H5Pget_nprops` retrieves the number of properties in a property list or class. If a property class identifier is given, the number of registered properties in the class is returned in `nprops`. If a property list identifier is given, the current number of properties in the list is returned in `nprops`.
Parameters:

hid_t `id` | IN: Identifier of property object to query
size_t *`nprops` | OUT: Number of properties in object

Returns:
  Success: a non-negative value
  Failure: a negative value
Fortran90 Interface: h5pget_nprops_f

      SUBROUTINE h5pget_nprops_f(prp_id, nprops, hdferr)
        IMPLICIT NONE
        INTEGER(HID_T), INTENT(IN) :: prp_id    ! Property list identifier
        INTEGER(SIZE_T), INTENT(OUT) :: nprops  ! Number of properties
        INTEGER, INTENT(OUT) :: hdferr          ! Error code
                                                ! 0 on success and -1 on failure
      END SUBROUTINE h5pget_nprops_f